#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Strip
Summary:	String::Strip - Perl extension for fast, commonly used, string operations
Summary(pl.UTF-8):	String::Strip - rozszerzenie Perla do szybkich, często używanych operacji na łańcuchach
Name:		perl-String-Strip
Version:	1.01
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a1471ad67dbb7375dd0d288026ee7122
URL:		http://search.cpan.org/dist/String-Strip/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
StripLTSpace	- Removes Leading and Trailing spaces from given string
StripTSpace	- Removes Trailing spaces from given string
StripLSpace	- Removes Leading spaces from given string
StripSpace	- Removes all spaces from given string

I do these things often, and these routines tend to be about 35% faster
than the corresponding regex methods.

%description -l pl.UTF-8
StripLTSpace	- usuwa wiodące i końcowe spacje z podanego łańcucha
StripTSpace	- usuwa końcowe spacje z podanego łańcucha
StripLSpace	- usuwa wiodące spacje z podanego łańcucha
StripSpace	- usuwa wszystkie spacje z podanego łańcucha

Autor modułu często wykonuje te rzeczy, a te funkcje są około 35%
szybsze od odpowiadających im metod używających wyrażeń regularnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/*.pm
%dir %{perl_vendorarch}/auto/String/Strip
%attr(755,root,root) %{perl_vendorarch}/auto/String/Strip/*.so
%{perl_vendorarch}/auto/String/Strip/*.ix
%{perl_vendorarch}/auto/String/Strip/*.bs
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Strip.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6a6c425
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 5910449
- rel 9

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 4fa5dea
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 72923e0
- release 7

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> afa9bc2
- release 6

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 286a0dd
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e61e5b
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> e2693bf
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 17ca15d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 767dc45
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2ed1acc
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> f7edfd5
- spaces->tabs
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> f5843c1
- rel. 4

* Thu May 06 2004 ankry <ankry@pld-linux.org> a030bb7
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> 5c05279
- license fixed, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> f3dc697
- new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> caf1353
- cosmetics, unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 64d44a3
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 435f692
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 8245803
- massive attack: source-md5

